<?php
#
# Copyright(C) 2004-2007 INL
# Written by Eric Leblond <regit@inl.fr>
#            Vincent Deffontaines <gryzor@inl.fr>
#            Jean Gillaux <jean@inl.fr>
#            Damien Boucard <damien.boucard AT inl.fr>
#
# $Id: periodicities.php 17927 2009-02-16 13:16:09Z haypo $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, version 3 of the License.
#
#  This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>.
#
#

$title="periodicities";
$singtitle="periodicity";
require_once ("include/subpage.php");

$periodicities=&$expolicy->periodicities;
$ress = &$periodicities->list_tab();
chooseOperation($periodicities, $ress, 'periodicity', 'periodicity', getHttp('new_periodicity'));

initRuleset();
initFloatingElts();
$periodicities=&$expolicy->periodicities;
checkAllAcls($expolicy, $periodicities, 'periodicity', false);

searchAll($periodicities, 'displayPeriodicityAttr');

editContent(_('Periodicity'), $periodicities, $ress, $elt, $sub_elt, 'periodicity');
updateHistoryWrapper($title, $elt, $periodicities);

require_once ("include/footer.php");
?>
