<?php
require_once('test_common.php');
require_once(NUFACE_DIR . 'tests/test_net_ipv4.php');

error_reporting(E_ALL);

$tests = Array(
    Array('test_net_ipv4.php', 'TestNet_IPv4'),
    Array('test_policy.php', 'TestPolicy'),
);

$all_tests = &new GroupTest('NuFace tests');
foreach ($tests as $test_info)
{
    $filename = NUFACE_DIR . 'tests/' . $test_info[0];
    require_once($filename);
    $class = $test_info[1];
    $test = new $class();
    $all_tests->addTestCase($test);
}
runTest($all_tests);

?>
