#!/usr/bin/env python

import sys, os, getopt
from distutils.core import setup, Extension

version_string = "1.2"

setup(
    name="checkdesc",
    version=version_string,
    description="desc.xml validator for NuFace",
    author="Damien Boucard",
    author_email="nuface@inl.fr",
    url="http://software.inl.fr/trac/wiki/EdenWall/NuFace",
    license="GPL",
    packages = ['checkdesc'],
    scripts=["scripts/checkdesc", "scripts/gendesc"],
)


